Job - Unarchive
Unarchives a job.
You may want to unarchive a job that was previously cancelled or withdrawn. An unarchived job will again appear on the list of available work on a Field Computer.
HTTP Method and URL
PUT https://api.raven.engineering/prepopulatedjobs/:jobid
URL Parameters
| Parameter | Description |
|---|---|
| jobId | ID of the Prepopulated Job (workorderId) returned when creating a Prepopulated Job via a POST to the Slingshot API. |
HTTP Query Parameters
None
HTTP Headers
To learn more about these parameters, read about Authentication.
| Header | Description |
|---|---|
| X-SS-AccessKey | [Required] Token issued to a Slingshot user from the Raven Slingshot Portal Server. |
| X-SS-APIKey | [Required] Token issued to the Slingshot developer from Raven. |
| X-SS-Signature | [Required] The signature generated for a specific request. |
| X-SS-TimeStamp | [Required] The timestamp of when the request was generated. |
Sample Body
{
"archived" : false
}
Sample Response
{
"status": true,
"errorInfo": "",
"result": "Job archived."
}